changeset 10148:fdeffbc9a6cc

Merge with crew-stable
author Patrick Mezard <pmezard@gmail.com>
date Tue, 29 Dec 2009 01:32:40 +0100
parents 9c59cdafcc24 (current diff) 27838bd9acf5 (diff)
children fa7170d6529f
files
diffstat 2 files changed, 3 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/tests/test-bisect	Mon Dec 28 18:29:35 2009 +0100
+++ b/tests/test-bisect	Tue Dec 29 01:32:40 2009 +0100
@@ -86,8 +86,9 @@
 set +e
 
 echo % test invalid command
+# assuming that the shell returns 127 if command not found ...
 hg bisect -r
-hg bisect --command './foobar' 2>&1 | sed 's|\(/bin/sh: \./foobar:\).*|\1 not found|'
+hg bisect --command 'exit 127'
 
 echo % test bisecting command
 cat > script.py <<EOF
--- a/tests/test-bisect.out	Mon Dec 28 18:29:35 2009 +0100
+++ b/tests/test-bisect.out	Tue Dec 29 01:32:40 2009 +0100
@@ -304,8 +304,7 @@
 summary:     msg 6
 
 % test invalid command
-/bin/sh: ./foobar: not found
-abort: failed to execute ./foobar
+abort: failed to execute exit 127
 % test bisecting command
 Testing changeset 15:e7fa0811edb0 (31 changesets remaining, ~4 tests)
 1 files updated, 0 files merged, 0 files removed, 0 files unresolved